//人类
//属性: 姓名,年龄,狗,父亲(人)
//对象方法:
//1.给他一辆车,让车跑
//2.遛狗
//类方法:
//1.快速创建类方法
//2.快速创建类,并设置属性方法(除去'父亲').
//3.给他两个人对象(儿子,父亲),判断这两个人对象是不是父子关系(儿子->父亲是不是跟传进来的父亲地址一样)
#import <Foundation/Foundation.h>
#import "TXWDog.h"
#import "TXWCar.h"
/**
 *  Person类
 */
@interface TXWPerson : NSObject
{
    @public
    NSString* _name;//名字
    int _age;//年龄
    TXWDog* _dog;//狗
    TXWPerson* _father;//父亲
}
/**
 *  开车
 *
 *  @param car   车
 *  @param speed 速度
 *  @param time  时间
 */
-(int)dirverWithCar:(TXWCar*)car andWithSpeed:(int)speed andWithTime:(int)time;
/**
 *  遛狗
 */
-(void)liuDog;
/**
 *  创建空人对象
 *
 *  @return 人对象
 */
+(TXWPerson*)person;
/**
 *  创建有属性的人对象
 *
 *  @param name 名字
 *  @param age  年龄
 *  @param dog  狗
 *
 *  @return 人对象
 */
+(TXWPerson*)personWithName:(NSString*)name andWithAge:(int)age andWithDog:(TXWDog*)dog;
/**
 *  判断是否是父子(看地址是否一样)
 *
 *  @param person1 p1地址
 *  @param person2 p2地址
 *
 *  @return BOOL
 */
+(BOOL)compareIsSameFatherWith:(TXWPerson*)person1 andWith:(TXWPerson*)person2;

@end
